#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	SHARED_SIGNAL_PROTOCOL=1 dh_auto_configure -- \
	    -DBIN_INSTALL_DIR=/usr/bin \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/dino-im \
	    -DUSE_SOUP3=yes \
	    -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_test:
